[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: rawhide report: 20081201 changes



Antonio Olivares wrote:
>   file /usr/share/config/plasmoids.knsrc from install of
>   kdelibs-6:4.1.80-5.fc11.i386 conflicts with file from package
>   kdebase-workspace-4.1.2-14.fc10.i386 file
(and more like this)

These are conflicts between an old kdebase-workspace and a new kdelibs. The
kdebase-workspace-4.1.80 build now in Rawhide should fix this. (But now the
problem is that stuff still depends on the libplasma in the old
kdebase-workspace instead of the one in the new kdelibs, we're working on
fixing the broken dependencies, but this takes time! Rawhide is currently
unfit for use for KDE users.)

>   /usr/share/icons/oxygen/16x16/actions/transform-crop-and-resize.png from
>   install of oxygen-icon-theme-4.1.80-4.fc11.noarch conflicts with file
>   from package digikam-0.10.0-0.6.beta5.fc10.i386 file
(and more like this)

Some icons Digikam shipped were merged into upstream Oxygen. We should
remove the icons from Digikam in Rawhide.

>   /usr/lib/libkwalletbackend.so from install of
>   kdebase-runtime-4.1.80-4.fc11.i386 conflicts with file from package
>   kdelibs3-devel-3.5.10-1.fc10.i386 file

This one needs to use the /usr/lib/kde4/devel hack (assuming it's getting
linked from outside of the package at all, otherwise rm -f might also be a
solution).

>   /usr/share/kde4/apps/ksmserver/windowmanagers/compiz-custom.desktop from
>   install of kdebase-runtime-4.1.80-4.fc11.i386 conflicts with file from
>   package kdebase-workspace-4.1.2-14.fc10.i386 file
>   /usr/share/kde4/apps/ksmserver/windowmanagers/compiz.desktop from
>   install of kdebase-runtime-4.1.80-4.fc11.i386 conflicts with file from
>   package kdebase-workspace-4.1.2-14.fc10.i386 file
>   /usr/share/kde4/apps/ksmserver/windowmanagers/metacity.desktop from
>   install of kdebase-runtime-4.1.80-4.fc11.i386 conflicts with file from
>   package kdebase-workspace-4.1.2-14.fc10.i386 file
>   /usr/share/kde4/apps/ksmserver/windowmanagers/openbox.desktop from
>   install of kdebase-runtime-4.1.80-4.fc11.i386 conflicts with file from
>   package kdebase-workspace-4.1.2-14.fc10.i386 file

These are conflicts between an old kdebase-workspace and a new
kdebase-runtime. The kdebase-workspace-4.1.80 build now in Rawhide should
fix this. (But see above for the libplasma deps.)

>   /usr/lib/libakonadi-kabc.so.4 from install of
>   kdepimlibs-4.1.80-2.fc11.i386 conflicts with file from package
>   kdepim-libs-6:4.1.2-5.fc10.i386

This is a conflict between an old kdepim and a new kdepimlibs. It will be
fixed when we get kdepim-4.1.80 built.

        Kevin Kofler


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]